libmtp: Data Fields

Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:

### - l -

- LIBMTP_album_t : libmtp.h
- LIBMTP_allowed_values_t : libmtp.h
- LIBMTP_Clear_Errorstack() : libmtp.h , libmtp.c
- LIBMTP_Create_Folder() : libmtp.c , libmtp.h
- LIBMTP_Create_New_Album() : libmtp.h , libmtp.c
- LIBMTP_Create_New_Playlist() : libmtp.c , libmtp.h
- LIBMTP_datatype_t : libmtp.h
- LIBMTP_debug : libmtp.c , libmtp.h
- LIBMTP_DEBUG_NONE : libmtp.h
- LIBMTP_Delete_Object() : libmtp.h , libmtp.c
- LIBMTP_destroy_album_t() : libmtp.c , libmtp.h
- LIBMTP_destroy_allowed_values_t() : libmtp.c , libmtp.h
- LIBMTP_destroy_file_t() : libmtp.c , libmtp.h
- LIBMTP_destroy_filesampledata_t() : libmtp.c , libmtp.h
- LIBMTP_destroy_folder_t() : libmtp.c , libmtp.h
- LIBMTP_destroy_playlist_t() : libmtp.c , libmtp.h
- LIBMTP_destroy_track_t() : libmtp.c , libmtp.h
- LIBMTP_Detect_Raw_Devices() : libmtp.h
- LIBMTP_device_entry_t : libmtp.h
- LIBMTP_devicestorage_t : libmtp.h
- LIBMTP_Dump_Device_Info() : libmtp.c , libmtp.h
- LIBMTP_Dump_Errorstack() : libmtp.c , libmtp.h
- LIBMTP_error_number_t : libmtp.h
- LIBMTP_error_t : libmtp.h
- LIBMTP_file_t : libmtp.h
- LIBMTP_filesampledata_t : libmtp.h
- LIBMTP_FILETYPE_IS_ADDRESSBOOK : libmtp.h
- LIBMTP_FILETYPE_IS_AUDIO : libmtp.h
- LIBMTP_FILETYPE_IS_AUDIOVIDEO : libmtp.h
- LIBMTP_FILETYPE_IS_CALENDAR : libmtp.h
- LIBMTP_FILETYPE_IS_IMAGE : libmtp.h
- LIBMTP_FILETYPE_IS_TRACK : libmtp.h
- LIBMTP_FILETYPE_IS_VIDEO : libmtp.h
- LIBMTP_filetype_t : libmtp.h
- LIBMTP_Find_Folder() : libmtp.c , libmtp.h
- LIBMTP_folder_t : libmtp.h
- LIBMTP_Format_Storage() : libmtp.c , libmtp.h
- LIBMTP_Get_Album() : libmtp.c , libmtp.h
- LIBMTP_Get_Album_List() : libmtp.c , libmtp.h
- LIBMTP_Get_Album_List_For_Storage() : libmtp.c , libmtp.h
- LIBMTP_Get_Allowed_Property_Values() : libmtp.c , libmtp.h
- LIBMTP_Get_Batterylevel() : libmtp.h , libmtp.c
- LIBMTP_Get_Connected_Devices() : libmtp.c , libmtp.h
- LIBMTP_Get_Device_Certificate() : libmtp.c , libmtp.h
- LIBMTP_Get_Deviceversion() : libmtp.c , libmtp.h
- LIBMTP_Get_Errorstack() : libmtp.c , libmtp.h
- LIBMTP_Get_File_To_File() : libmtp.c , libmtp.h
- LIBMTP_Get_File_To_File_Descriptor() : libmtp.c , libmtp.h
- LIBMTP_Get_File_To_Handler() : libmtp.c , libmtp.h
- LIBMTP_Get_Filelisting() : libmtp.c , libmtp.h
- LIBMTP_Get_Filelisting_With_Callback() : libmtp.c , libmtp.h
- LIBMTP_Get_Filemetadata() : libmtp.c , libmtp.h
- LIBMTP_Get_Filetype_Description() : libmtp.c , libmtp.h
- LIBMTP_Get_First_Device() : libmtp.c , libmtp.h
- LIBMTP_Get_Folder_List() : libmtp.c , libmtp.h
- LIBMTP_Get_Friendlyname() : libmtp.c , libmtp.h
- LIBMTP_Get_Manufacturername() : libmtp.c , libmtp.h
- LIBMTP_Get_Modelname() : libmtp.c , libmtp.h
- LIBMTP_Get_Playlist() : libmtp.c , libmtp.h
- LIBMTP_Get_Playlist_List() : libmtp.c , libmtp.h
- LIBMTP_Get_Property_Description() : libmtp.c , libmtp.h
- LIBMTP_Get_Representative_Sample() : libmtp.c , libmtp.h
- LIBMTP_Get_Representative_Sample_Format() : libmtp.c , libmtp.h
- LIBMTP_Get_Secure_Time() : libmtp.c , libmtp.h
- LIBMTP_Get_Serialnumber() : libmtp.c , libmtp.h
- LIBMTP_Get_Storage() : libmtp.c , libmtp.h
- LIBMTP_Get_String_From_Object() : libmtp.c , libmtp.h
- LIBMTP_Get_Supported_Devices_List() : libmtp.h
- LIBMTP_Get_Supported_Filetypes() : libmtp.c , libmtp.h
- LIBMTP_Get_Syncpartner() : libmtp.h , libmtp.c
- LIBMTP_Get_Track_To_File() : libmtp.c , libmtp.h
- LIBMTP_Get_Track_To_File_Descriptor() : libmtp.h , libmtp.c
- LIBMTP_Get_Track_To_Handler() : libmtp.c , libmtp.h
- LIBMTP_Get_Tracklisting() : libmtp.h , libmtp.c
- LIBMTP_Get_Tracklisting_With_Callback() : libmtp.c , libmtp.h
- LIBMTP_Get_Tracklisting_With_Callback_For_Storage() : libmtp.c , libmtp.h
- LIBMTP_Get_Trackmetadata() : libmtp.c , libmtp.h
- LIBMTP_Get_u16_From_Object() : libmtp.c , libmtp.h
- LIBMTP_Get_u32_From_Object() : libmtp.c , libmtp.h
- LIBMTP_Get_u64_From_Object() : libmtp.c , libmtp.h
- LIBMTP_Get_u8_From_Object() : libmtp.c , libmtp.h
- LIBMTP_HANDLER_RETURN_OK : libmtp.h
- LIBMTP_Init() : libmtp.h , libmtp.c
- LIBMTP_Is_Property_Supported() : libmtp.c , libmtp.h
- LIBMTP_mtpdevice_t : libmtp.h
- LIBMTP_new_album_t() : libmtp.c , libmtp.h
- LIBMTP_new_file_t() : libmtp.c , libmtp.h
- LIBMTP_new_filesampledata_t() : libmtp.h , libmtp.c
- LIBMTP_new_folder_t() : libmtp.c , libmtp.h
- LIBMTP_new_playlist_t() : libmtp.h , libmtp.c
- LIBMTP_new_track_t() : libmtp.c , libmtp.h
- LIBMTP_Number_Devices_In_List() : libmtp.c , libmtp.h
- LIBMTP_object_t : libmtp.h
- LIBMTP_Open_Raw_Device() : libmtp.c , libmtp.h
- LIBMTP_playlist_t : libmtp.h
- LIBMTP_progressfunc_t : libmtp.h
- LIBMTP_property_t : libmtp.h
- LIBMTP_raw_device_t : libmtp.h
- LIBMTP_Release_Device() : libmtp.h , libmtp.c
- LIBMTP_Release_Device_List() : libmtp.h , libmtp.c
- LIBMTP_Reset_Device() : libmtp.c , libmtp.h
- LIBMTP_Send_File_From_File() : libmtp.h , libmtp.c
- LIBMTP_Send_File_From_File_Descriptor() : libmtp.c , libmtp.h
- LIBMTP_Send_File_From_Handler() : libmtp.h , libmtp.c
- LIBMTP_Send_Representative_Sample() : libmtp.h , libmtp.c
- LIBMTP_Send_Track_From_File() : libmtp.h , libmtp.c
- LIBMTP_Send_Track_From_File_Descriptor() : libmtp.c , libmtp.h
- LIBMTP_Send_Track_From_Handler() : libmtp.h , libmtp.c
- LIBMTP_Set_Album_Name() : libmtp.c , libmtp.h
- LIBMTP_Set_Debug() : libmtp.c , libmtp.h
- LIBMTP_Set_File_Name() : libmtp.h , libmtp.c
- LIBMTP_Set_Folder_Name() : libmtp.c , libmtp.h
- LIBMTP_Set_Friendlyname() : libmtp.c , libmtp.h
- LIBMTP_Set_Object_Filename() : libmtp.h , libmtp.c
- LIBMTP_Set_Object_String() : libmtp.h , libmtp.c
- LIBMTP_Set_Object_u16() : libmtp.c , libmtp.h
- LIBMTP_Set_Object_u32() : libmtp.h , libmtp.c
- LIBMTP_Set_Object_u8() : libmtp.c , libmtp.h
- LIBMTP_Set_Playlist_Name() : libmtp.c , libmtp.h
- LIBMTP_Set_Syncpartner() : libmtp.c , libmtp.h
- LIBMTP_Set_Track_Name() : libmtp.c , libmtp.h
- LIBMTP_Track_Exists() : libmtp.h , libmtp.c
- LIBMTP_track_t : libmtp.h
- LIBMTP_Update_Album() : libmtp.h , libmtp.c
- LIBMTP_Update_Playlist() : libmtp.h , libmtp.c
- LIBMTP_Update_Track_Metadata() : libmtp.c , libmtp.h
- LIBMTP_USB_DEBUG : libusb-glue.h